/*
** stats.h - holds the cool stats structs and such..
**
** Keith Zaback (krz@wcug.wwu.edu) Apr 98
*/

#ifndef INC_STATS_H
#define INC_STATS_H

#include <sys/time.h>

/* interface stats */
typedef struct stIFACE_STATS {
	int			recv_bytes_recent;	/* for periodic tests */
	int			send_bytes_recent;
	int			send_pkt_recent;	
	struct timeval		recent_stats_start;
	
	int			hdrcache_hits;
	int			hdrcache_misses;
	int			pktcache_hits;
	int			pktcache_misses;
	int			bytes_sent;
	int			bytes_rcvd;
} IFACE_STATS;

typedef struct stGLOBAL_STATS {
	int			one_byte_packets;
	int			recent_stats_time;
} GLOBAL_STATS;

#endif